| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
ssp_13xx.c File Reference
`#include "chip.h"`

Go to the source code of this file.

## Functions
static void | SSP_Write2BFifo (LPC_SSP_T *pSSP, Chip_SSP_DATA_SETUP_T *xf_setup)
static void | SSP_Write1BFifo (LPC_SSP_T *pSSP, Chip_SSP_DATA_SETUP_T *xf_setup)
static void | SSP_Read2BFifo (LPC_SSP_T *pSSP, Chip_SSP_DATA_SETUP_T *xf_setup)
static void | SSP_Read1BFifo (LPC_SSP_T *pSSP, Chip_SSP_DATA_SETUP_T *xf_setup)
uint32_t | Chip_SSP_RWFrames_Blocking (LPC_SSP_T *pSSP, Chip_SSP_DATA_SETUP_T *xf_setup)
| SSP Polling Read/Write in blocking mode.
uint32_t | Chip_SSP_WriteFrames_Blocking (LPC_SSP_T *pSSP, uint8_t *buffer, uint32_t buffer_len)
| SSP Polling Write in blocking mode.
uint32_t | Chip_SSP_ReadFrames_Blocking (LPC_SSP_T *pSSP, uint8_t *buffer, uint32_t buffer_len)
| Note here.
void | Chip_SSP_Int_FlushData (LPC_SSP_T *pSSP)
| Clean all data in RX FIFO of SSP.
Status | Chip_SSP_Int_RWFrames8Bits (LPC_SSP_T *pSSP, Chip_SSP_DATA_SETUP_T *xf_setup)
| SSP Interrupt Read/Write with 8-bit frame width.
Status | Chip_SSP_Int_RWFrames16Bits (LPC_SSP_T *pSSP, Chip_SSP_DATA_SETUP_T *xf_setup)
| SSP Interrupt Read/Write with 16-bit frame width.
void | Chip_SSP_SetMaster (LPC_SSP_T *pSSP, bool master)
| Set the SSP operating modes, master or slave.
void | Chip_SSP_SetBitRate (LPC_SSP_T *pSSP, uint32_t bitRate)
| Set the clock frequency for SSP interface.
void | Chip_SSP_Init (LPC_SSP_T *pSSP)
| Initialize the SSP.
void | Chip_SSP_DeInit (LPC_SSP_T *pSSP)
| Shutdown the SSP.

## Function Documentation

static void SSP_Read1BFifo | ( | LPC_SSP_T * | pSSP,
|  | Chip_SSP_DATA_SETUP_T * | xf_setup
| ) |  |
| static

SSP macro: read 2 bytes from FIFO buffer

Definition at line 81 of file ssp_13xx.c.

static void SSP_Read2BFifo | ( | LPC_SSP_T * | pSSP,
|  | Chip_SSP_DATA_SETUP_T * | xf_setup
| ) |  |
| static

SSP macro: read 1 bytes from FIFO buffer

Definition at line 65 of file ssp_13xx.c.

static void SSP_Write1BFifo | ( | LPC_SSP_T * | pSSP,
|  | Chip_SSP_DATA_SETUP_T * | xf_setup
| ) |  |
| static

SSP macro: write 1 bytes to FIFO buffer

Definition at line 52 of file ssp_13xx.c.

static void SSP_Write2BFifo | ( | LPC_SSP_T * | pSSP,
|  | Chip_SSP_DATA_SETUP_T * | xf_setup
| ) |  |
| static

Definition at line 38 of file ssp_13xx.c.